# -*- encoding: utf-8 -*-
# stub: puma 4.3.8 ruby lib

Gem::Specification.new do |s|
  s.name = "puma".freeze
  s.version = "4.3.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/puma/puma/blob/master/History.md", "msys2_mingw_dependencies" => "openssl" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Evan Phoenix".freeze]
  s.date = "2022-04-08"
  s.description = "Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack applications. Puma is intended for use in both development and production environments. It's great for highly concurrent Ruby implementations such as Rubinius and JRuby as well as as providing process worker support to support CRuby well.".freeze
  s.email = ["evan@phx.io".freeze]
  s.executables = ["puma".freeze, "pumactl".freeze]
  s.files = ["CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "History.md".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "Release.md".freeze, "benchmarks".freeze, "benchmarks/wrk".freeze, "benchmarks/wrk/big_body.sh".freeze, "benchmarks/wrk/big_response.sh".freeze, "benchmarks/wrk/hello.sh".freeze, "benchmarks/wrk/lua".freeze, "benchmarks/wrk/lua/big_body.lua".freeze, "benchmarks/wrk/many_long_headers.sh".freeze, "benchmarks/wrk/more_conns_than_threads.sh".freeze, "benchmarks/wrk/realistic_response.sh".freeze, "bin".freeze, "bin/puma".freeze, "bin/puma-wild".freeze, "bin/pumactl".freeze, "debian".freeze, "docs".freeze, "docs/architecture.md".freeze, "docs/deployment.md".freeze, "docs/images".freeze, "docs/images/puma-connection-flow-no-reactor.png".freeze, "docs/images/puma-connection-flow.png".freeze, "docs/images/puma-general-arch.png".freeze, "docs/nginx.md".freeze, "docs/plugins.md".freeze, "docs/restart.md".freeze, "docs/signals.md".freeze, "docs/systemd.md".freeze, "docs/tcp_mode.md".freeze, "examples".freeze, "examples/CA".freeze, "examples/CA/cacert.pem".freeze, "examples/CA/newcerts".freeze, "examples/CA/newcerts/cert_1.pem".freeze, "examples/CA/newcerts/cert_2.pem".freeze, "examples/CA/private".freeze, "examples/CA/private/cakeypair.pem".freeze, "examples/CA/serial".freeze, "examples/plugins".freeze, "examples/plugins/redis_stop_puma.rb".freeze, "examples/puma".freeze, "examples/puma/cert_puma.pem".freeze, "examples/puma/client-certs".freeze, "examples/puma/client-certs/ca.crt".freeze, "examples/puma/client-certs/ca.key".freeze, "examples/puma/client-certs/client.crt".freeze, "examples/puma/client-certs/client.key".freeze, "examples/puma/client-certs/client_expired.crt".freeze, "examples/puma/client-certs/client_expired.key".freeze, "examples/puma/client-certs/client_unknown.crt".freeze, "examples/puma/client-certs/client_unknown.key".freeze, "examples/puma/client-certs/generate_client_test.rb".freeze, "examples/puma/client-certs/keystore.jks".freeze, "examples/puma/client-certs/run_server_with_certs.rb".freeze, "examples/puma/client-certs/server.crt".freeze, "examples/puma/client-certs/server.key".freeze, "examples/puma/client-certs/server.p12".freeze, "examples/puma/client-certs/unknown_ca.crt".freeze, "examples/puma/client-certs/unknown_ca.key".freeze, "examples/puma/csr_puma.pem".freeze, "examples/puma/generate_server_test.rb".freeze, "examples/puma/keystore.jks".freeze, "examples/puma/puma_keypair.pem".freeze, "examples/puma/server.p12".freeze, "examples/qc_config.rb".freeze, "ext".freeze, "ext/puma_http11".freeze, "ext/puma_http11/PumaHttp11Service.java".freeze, "ext/puma_http11/ext_help.h".freeze, "ext/puma_http11/extconf.rb".freeze, "ext/puma_http11/http11_parser.c".freeze, "ext/puma_http11/http11_parser.h".freeze, "ext/puma_http11/http11_parser.java.rl".freeze, "ext/puma_http11/http11_parser.rl".freeze, "ext/puma_http11/http11_parser_common.rl".freeze, "ext/puma_http11/io_buffer.c".freeze, "ext/puma_http11/mini_ssl.c".freeze, "ext/puma_http11/org".freeze, "ext/puma_http11/org/jruby".freeze, "ext/puma_http11/org/jruby/puma".freeze, "ext/puma_http11/org/jruby/puma/Http11.java".freeze, "ext/puma_http11/org/jruby/puma/Http11Parser.java".freeze, "ext/puma_http11/org/jruby/puma/IOBuffer.java".freeze, "ext/puma_http11/org/jruby/puma/MiniSSL.java".freeze, "ext/puma_http11/puma_http11.c".freeze, "lib".freeze, "lib/puma".freeze, "lib/puma.rb".freeze, "lib/puma/accept_nonblock.rb".freeze, "lib/puma/app".freeze, "lib/puma/app/status.rb".freeze, "lib/puma/binder.rb".freeze, "lib/puma/cli.rb".freeze, "lib/puma/client.rb".freeze, "lib/puma/cluster.rb".freeze, "lib/puma/commonlogger.rb".freeze, "lib/puma/configuration.rb".freeze, "lib/puma/const.rb".freeze, "lib/puma/control_cli.rb".freeze, "lib/puma/detect.rb".freeze, "lib/puma/dsl.rb".freeze, "lib/puma/events.rb".freeze, "lib/puma/io_buffer.rb".freeze, "lib/puma/jruby_restart.rb".freeze, "lib/puma/launcher.rb".freeze, "lib/puma/minissl".freeze, "lib/puma/minissl.rb".freeze, "lib/puma/minissl/context_builder.rb".freeze, "lib/puma/null_io.rb".freeze, "lib/puma/plugin".freeze, "lib/puma/plugin.rb".freeze, "lib/puma/plugin/tmp_restart.rb".freeze, "lib/puma/rack".freeze, "lib/puma/rack/builder.rb".freeze, "lib/puma/rack/urlmap.rb".freeze, "lib/puma/rack_default.rb".freeze, "lib/puma/reactor.rb".freeze, "lib/puma/runner.rb".freeze, "lib/puma/server.rb".freeze, "lib/puma/single.rb".freeze, "lib/puma/state_file.rb".freeze, "lib/puma/tcp_logger.rb".freeze, "lib/puma/thread_pool.rb".freeze, "lib/puma/util.rb".freeze, "lib/rack".freeze, "lib/rack/handler".freeze, "lib/rack/handler/puma.rb".freeze, "puma.gemspec".freeze, "puma.gemspec.gem2deb".freeze, "test".freeze, "test/bundle_preservation_test".freeze, "test/bundle_preservation_test/Gemfile.bundle_env_preservation_test.lock".freeze, "test/config".freeze, "test/config/ab_rs.rb".freeze, "test/config/app.rb".freeze, "test/config/control_no_token.rb".freeze, "test/config/custom_log_formatter.rb".freeze, "test/config/plugin1.rb".freeze, "test/config/prune_bundler_with_deps.rb".freeze, "test/config/settings.rb".freeze, "test/config/ssl_config.rb".freeze, "test/config/state_file_testing_config.rb".freeze, "test/config/suppress_exception.rb".freeze, "test/config/with_integer_convert.rb".freeze, "test/config/worker_shutdown_timeout_2.rb".freeze, "test/helper.rb".freeze, "test/helpers".freeze, "test/helpers/apps.rb".freeze, "test/helpers/config_file.rb".freeze, "test/helpers/integration.rb".freeze, "test/helpers/ssl.rb".freeze, "test/rackup".freeze, "test/rackup/big_response.ru".freeze, "test/rackup/hello-bind.ru".freeze, "test/rackup/hello-env.ru".freeze, "test/rackup/hello-last-load-path.ru".freeze, "test/rackup/hello.ru".freeze, "test/rackup/lobster.ru".freeze, "test/rackup/many_long_headers.ru".freeze, "test/rackup/realistic_response.ru".freeze, "test/rackup/sleep.ru".freeze, "test/rackup/sleep_pid.ru".freeze, "test/rackup/sleep_step.ru".freeze, "test/shell".freeze, "test/shell/run.rb".freeze, "test/shell/t1.rb".freeze, "test/shell/t1_conf.rb".freeze, "test/shell/t2.rb".freeze, "test/shell/t2_conf.rb".freeze, "test/shell/t3.rb".freeze, "test/shell/t3_conf.rb".freeze, "test/test_app_status.rb".freeze, "test/test_binder.rb".freeze, "test/test_cli.rb".freeze, "test/test_config.rb".freeze, "test/test_events.rb".freeze, "test/test_http10.rb".freeze, "test/test_http11.rb".freeze, "test/test_integration_cluster.rb".freeze, "test/test_integration_pumactl.rb".freeze, "test/test_integration_single.rb".freeze, "test/test_iobuffer.rb".freeze, "test/test_launcher.rb".freeze, "test/test_minissl.rb".freeze, "test/test_null_io.rb".freeze, "test/test_persistent.rb".freeze, "test/test_plugin.rb".freeze, "test/test_puma_server.rb".freeze, "test/test_puma_server_ssl.rb".freeze, "test/test_pumactl.rb".freeze, "test/test_rack_handler.rb".freeze, "test/test_rack_server.rb".freeze, "test/test_request_invalid.rb".freeze, "test/test_tcp_logger.rb".freeze, "test/test_tcp_rack.rb".freeze, "test/test_thread_pool.rb".freeze, "test/test_unix_socket.rb".freeze, "test/test_web_server.rb".freeze, "tools".freeze, "tools/docker".freeze, "tools/docker/Dockerfile".freeze, "tools/jungle".freeze, "tools/jungle/README.md".freeze, "tools/jungle/init.d".freeze, "tools/jungle/init.d/README.md".freeze, "tools/jungle/init.d/puma".freeze, "tools/jungle/init.d/run-puma".freeze, "tools/jungle/rc.d".freeze, "tools/jungle/rc.d/README.md".freeze, "tools/jungle/rc.d/puma".freeze, "tools/jungle/rc.d/puma.conf".freeze, "tools/jungle/upstart".freeze, "tools/jungle/upstart/README.md".freeze, "tools/jungle/upstart/puma-manager.conf".freeze, "tools/jungle/upstart/puma.conf".freeze, "tools/trickletest.rb".freeze, "win_gem_test".freeze, "win_gem_test/Rakefile_wintest".freeze, "win_gem_test/package_gem.rb".freeze, "win_gem_test/puma.ps1".freeze]
  s.homepage = "http://puma.io".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2".freeze)
  s.rubygems_version = "3.2.5".freeze
  s.summary = "Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack applications".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<nio4r>.freeze, ["~> 2.0"])
  else
    s.add_dependency(%q<nio4r>.freeze, ["~> 2.0"])
  end
end
